POSTDROP(1)

NAME
postdrop - Postfix mail posting agent

SYNOPSIS
postdrop [option ...]

DESCRIPTION
The postdrop command creates a file in the maildrop directory and copies its standard input to the file. The command is designed to run with set-gid privileges, and with group write permission to the maildrop queue directory. The postdrop command is automatically invoked by the sendmail(1) mail posting agent when the maildrop queue directory is not world-writable. Options:

-v  Enable verbose logging for debugging purposes. Multiple -v options make the software increasingly verbose.

SECURITY
This program is designed so that it can run with set-user (or group) id privileges.

DIAGNOSTICS
Fatal errors: malformed input, I/O error, out of memory. Problems are logged to syslogd(8) and to the standard error stream. When the input is incomplete, or when the process receives a HUP, INT, QUIT or TERM signal, the queue file is deleted.

ENVIRONMENT
The program deletes all environment information, because the C library can't be trusted.

FILES
/var/spool/postfix, mail queue
/etc/postfix, configuration files

CONFIGURATION PARAMETERS
See the Postfix main.cf file for syntax details and for default values. Use the postfix reload command after a configuration change.

import_environment
    List of names of environment parameters that can be imported from non-Postfix processes.

queue_directory
    Top-level directory of the Postfix queue. This is also the root directory of Postfix daemons that run chrooted.

SEE ALSO
sendmail(1) compatibility interface
syslogd(8) system logging

LICENSE
The Secure Mailer license must be distributed with this software.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA